function startGame()
{
   gameStarting = true;
   attachMovie("MenuFadeOut","menuFadeOut",getNextHighestDepth());
}
function advanceStartGame()
{
   for(var _loc1_ in colls)
   {
      colls[_loc1_].removeMovieClip();
      top.removeMovieClip();
      clearInterval(spawnInt);
      gotoAndStop("game");
   }
}
function collisions()
{
   var _loc2_ = 0;
   while(_loc2_ < colls.length - 1)
   {
      var _loc1_ = _loc2_ + 1;
      while(_loc1_ < colls.length)
      {
         checkCircleColl(colls[_loc2_],colls[_loc1_]);
         _loc1_ = _loc1_ + 1;
      }
      _loc2_ = _loc2_ + 1;
   }
}
function checkCircleColl(b1, b2)
{
   var _loc8_ = b2._x - b1._x;
   var _loc7_ = b2._y - b1._y;
   var _loc15_ = Math.sqrt(_loc8_ * _loc8_ + _loc7_ * _loc7_);
   if(_loc15_ < b1.rad + b2.rad)
   {
      var _loc14_ = Math.atan2(_loc7_,_loc8_);
      var _loc4_ = Math.cos(_loc14_);
      var _loc3_ = Math.sin(_loc14_);
      var _loc5_ = _loc4_ * b1.vx + _loc3_ * b1.vy;
      var _loc11_ = _loc4_ * b1.vy - _loc3_ * b1.vx;
      var _loc6_ = _loc4_ * b2.vx + _loc3_ * b2.vy;
      var _loc10_ = _loc4_ * b2.vy - _loc3_ * b2.vx;
      var _loc17_ = _loc5_ * b1.m + _loc6_ * b2.m;
      var _loc16_ = _loc5_ - _loc6_;
      _loc5_ = (_loc17_ - b2.m * _loc16_) / (b1.m + b2.m);
      _loc6_ = _loc16_ + _loc5_;
      b1.vx = _loc4_ * _loc5_ - _loc3_ * _loc11_;
      b1.vy = _loc4_ * _loc11_ + _loc3_ * _loc5_;
      b2.vx = _loc4_ * _loc6_ - _loc3_ * _loc10_;
      b2.vy = _loc4_ * _loc10_ + _loc3_ * _loc6_;
      var _loc12_ = (b1.rad + b2.rad - _loc15_) / 2;
      var _loc13_ = _loc4_ * _loc12_;
      var _loc9_ = _loc3_ * _loc12_;
      b1._x -= _loc13_;
      b1._y -= _loc9_;
      b2._x += _loc13_;
      b2._y += _loc9_;
      return true;
   }
   return false;
}
function spawnBall()
{
   var _loc2_ = attachMovie("Ball","ball" + getNextHighestDepth(),getNextHighestDepth());
   top.swapDepths(getNextHighestDepth());
   if(gameStarting)
   {
      menuFadeOut.swapDepths(getNextHighestDepth());
   }
   _loc2_.rad = _loc2_._width / 2;
   _loc2_.m = _loc2_.rad;
   var _loc7_ = random(4);
   switch(_loc7_)
   {
      case 0:
         _loc2_._x = - _loc2_.rad;
         _loc2_._y = random(stageHeight);
         break;
      case 1:
         _loc2_._x = stageWidth + _loc2_.rad;
         _loc2_._y = random(stageHeight);
         break;
      case 2:
         _loc2_._x = random(stageWidth);
         _loc2_._y = - _loc2_.rad;
         break;
      case 3:
         _loc2_._x = random(stageWidth);
         _loc2_._y = stageHeight + _loc2_.rad;
   }
   var _loc6_ = stageWidth / 2 - _loc2_._x;
   var _loc5_ = stageHeight / 2 - _loc2_._y;
   var _loc4_ = Math.atan2(_loc5_,_loc6_);
   _loc2_.vx = Math.cos(_loc4_) * (random(10) + 5);
   _loc2_.vy = Math.sin(_loc4_) * (random(10) + 5);
   colls.push(_loc2_);
   _loc2_.gotoAndStop("norm");
   _loc2_.onEnterFrame = function()
   {
      this._x += this.vx;
      this._y += this.vy;
      var _loc2_ = attachMovie("Trail","trail" + getNextHighestDepth(),getNextHighestDepth());
      if(top.getDepth() != getNextHighestDepth())
      {
         top.swapDepths(getNextHighestDepth());
         if(gameStarting)
         {
            menuFadeOut.swapDepths(getNextHighestDepth());
         }
      }
      _loc2_._x = this._x + random(10) - 5;
      _loc2_._y = this._y + random(10) - 5;
      if(this._x < - this.rad || this._x > stageWidth + this.rad || this._y < - this.rad || this._y > stageHeight + this.rad)
      {
         remove(colls,this);
         this.removeMovieClip();
      }
   };
}
gsound = new Sound();
gsound.attachSound("MenuSound");
gsound.start(0,9999);
black.gotoAndPlay(1);
difficulty = "normal";
mute = false;
stageWidth = 600;
stageHeight = 400;
but.m = but._width / 2;
but.rad = but._width / 2;
but.vx = but.vy = 0;
var colls = [but];
onEnterFrame = function()
{
   but._x -= (but._x - stageWidth / 2) / 5;
   but._y -= (but._y - stageHeight / 2) / 5;
   but._x += but.vx;
   but._y += but.vy;
   but.vx *= 0.7;
   but.vy *= 0.7;
   collisions();
};
gameStarting = false;
remove = function(array, rem)
{
   var _loc1_ = 0;
   while(_loc1_ < array.length)
   {
      if(array[_loc1_] == rem)
      {
         array.splice(_loc1_,1);
      }
      _loc1_ = _loc1_ + 1;
   }
};
var i = 0;
while(i < 5)
{
   spawnBall();
   i++;
}
var spawnInt = setInterval(spawnBall,250);
